%global commit 7ca267824d9249c57ee8956452723bd1c4fb8c0d
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global datecommit 20160521

Name:           trackma
Version:        0.4
Release:        10.%{datecommit}git%{shortcommit}%{?dist}
Summary:        Open multi-site list manager for Unix-like systems.

License:        GPLv3
URL:            https://github.com/z411/trackma
Source0:        https://github.com/z411/trackma/archive/%{commit}/%{name}-%{commit}.tar.gz
Source1:        %{name}-qt.desktop
Source2:        %{name}-gtk.desktop

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  python-setuptools
BuildRequires:  desktop-file-utils
# Media recognition (inotifyx needs to be packaged to replace lsof)
Requires:       lsof
Requires:       python-inotifyx

%description
Trackma aims to be a lightweight and simple but feature-rich program for Unix
based systems for fetching, updating and using data from personal lists hosted
in several media tracking websites.

%package gtk
Summary:        GTK interface for Trackma
Requires:       pygtk2
Requires:       python-pillow
Requires:       %{name}

%description gtk
Trackma aims to be a lightweight and simple but feature-rich program for Unix
based systems for fetching, updating and using data from personal lists hosted
in several media tracking websites.

GTK interface.

%package qt
Summary:        QT interface for Trackma
Requires:       pythonqt
Requires:       python-pillow
Requires:       %{name}

%description qt
Trackma aims to be a lightweight and simple but feature-rich program for Unix
based systems for fetching, updating and using data from personal lists hosted
in several media tracking websites.

QT interface.

%package curses
Summary:        Curses interface for Trackma
Requires:       python-urwid
Requires:       %{name}

%description curses
Trackma aims to be a lightweight and simple but feature-rich program for Unix
based systems for fetching, updating and using data from personal lists hosted
in several media tracking websites.

Curses interface.

%prep
%setup -qn %{name}-%{commit}

%build
%{__python2} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 %{buildroot}%{_bindir}
install -dm 755 %{buildroot}%{_datadir}/applications/
install -dm 755 %{buildroot}%{_datadir}/pixmaps/

%{__python2} setup.py install --root=%{buildroot} --prefix=%{_prefix}

install -Dm 644 %{name}/data/icon.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications \
%{SOURCE1}
desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications \
%{SOURCE2}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}/*
%{python2_sitelib}/*egg-info
%{_datadir}/pixmaps/%{name}.png

%exclude %{python2_sitelib}/%{name}/ui/curses.py*
%exclude %{python2_sitelib}/%{name}/ui/qtui.py*
%exclude %{python2_sitelib}/%{name}/ui/gtkui.py*
%exclude %{_datadir}/applications/%name-qt.desktop*
%exclude %{_datadir}/applications/%name-gtk.desktop*

%files qt
%defattr(-,root,root)
%{_bindir}/%{name}-qt
%{python2_sitelib}/%{name}/ui/qtui.py*
%{_datadir}/applications/%name-qt.desktop

%files gtk
%defattr(-,root,root)
%{_bindir}/%{name}-gtk
%{python2_sitelib}/%{name}/ui/gtkui.py*
%{_datadir}/applications/%name-gtk.desktop

%files curses
%{_bindir}/%{name}-curses
%{python2_sitelib}/%{name}/ui/curses.py*

%changelog
* Fri May 27 2016 Dylan Smith <dyskette@gmail.com> - 0.4-10.20160521git7ca2678
- Update to 7ca2678

* Tue May 03 2016 Dylan Smith <dyskette@gmail.com> - 0.4-9.20160427gita0606aa
- Update to a0606aa

* Sat Mar 12 2016 Dylan Smith <dyskette@gmail.com> - 0.4-8.20160312gite2095c3
- Update to e2095c3

* Sun Jan 31 2016 Dylan Smith <dyskette@gmail.com> - 0.4-7.20160114git9556355
- Update to 9556355

* Tue Dec 22 2015 Dylan Smith <dyskette@gmail.com> - 0.4-6.20151221git5442876
- Update to 5442876

* Fri Nov 27 2015 Dylan Smith <dyskette@gmail.com> - 0.4-5.20151127git067ba63
- Update to 067ba63

* Fri Nov 27 2015 Dylan Smith <dyskette@gmail.com> - 0.4-4.20151126git544c6d0
- Update to 544c6d0

* Sat Nov 21 2015 Dylan Smith <dyskette@gmail.com> - 0.4-3.20151118git298e809
- Update to 298e809

* Sat Nov 14 2015 Dylan Smith <dyskette@gmail.com> - 0.4-2.20151113gitff59966
- Update to ff59966

* Mon Oct 12 2015 Dylan Smith <dyskette@gmail.com> - 0.4-1.20150928git66a2f56
- Update to 66a2f56

* Fri Jun 19 2015 Dylan Smith <dyskette@gmail.com> - 0.3.1-2.20150530gitf7427ed
- Update to f7427ed

* Mon Apr 13 2015 Dylan Smith <dyskette@gmail.com> - 0.3.1-1.20150401git92003ca
- First package
